Bug 59858 - rebuilddb cores with a Segmentation fault
rebuilddb cores with a Segmentation fault
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: rpm (Show other bugs)
7.2
i586 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnson
ftp://ftp.chrisdos.com/pub/rpmdb.tar.gz
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-02-13 17:25 EST by Chris Dos
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-02-13 17:26:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chris Dos 2002-02-13 17:25:55 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:0.9.8+)
Gecko/20020206

Description of problem:
After using red-carpet to upgrade the system, the rpmdb is corrupted.
rpm --rebuildb causes a sgmentation fault.  Here is the exact error:

rpm --rebuilddb
error: rpmdb: damaged header instance #130 retrieved, skipping.
*** dbiUpdateRecord: uh is NULL
Segmentation fault (core dumped)

The tar'd and corrupted database can be found at:
ftp.chrisdos.com/pub/rpmdb.tar.gz

If you like, feel free to use this file to reproduce the bug.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.rpm --rebuildb
2.
3.
	

Additional info:
Comment 1 Jeff Johnson 2002-02-24 12:08:35 EST
Fixed in private e-mail.

Note You need to log in before you can comment on or make changes to this bug.